#ifndef STRAPDISPLAYAPPDRAWER_h
#define STRAPDISPLAYAPPDRAWER_h

// ----------------------------------------
// Includes
// ----------------------------------------
#include "StrapDisplayInputManager.h"
#include "strapDisplayApp.h"
#include "PL_smallLegio.h"

#define MAX_APPS  24

// StrapDisplayAppDrawer Class
class StrapDisplayAppDrawer : public StrapDisplayApp{

  private:
  StrapDisplayApp *registeredApps[MAX_APPS];
  InputRegion registeredAppsInputRegions[MAX_APPS];
  InputRegion nextPage,prevPage;
  bool nextPageActive,prevPageActive;
  int appIndexStart,appIndexEnd;
  int amountStrapDisplayApps=0;
  int epdPigments[5] = {EPD_BLACK,EPD_RED,EPD_YELLOW,EPD_GREEN,EPD_BLUE};
  void updateNavState();

  public:
  void registerStrapDisplayApp(StrapDisplayApp *strapDisplayApp);
  void init();
  int runApplication();
  void show();
  
 };
 #endif
