// ----------------------------------------
// Includes
// ----------------------------------------
#include "StrapDisplayAppInfoViz.h"
#include "StrapDisplayInputManager.h"

void StrapDisplayAppInfoViz::show(){
    epdRef->clearScreen(EPD_BLACK);
    delay(1000);
    int xPos,yPos=0;
    epdRef->drawBitmap(xPos,yPos,PIE_CHART_BLACK,240,146,EPD_BLACK);
    epdRef->drawBitmap(xPos,yPos,PIE_CHART_YELLOW,240,146,EPD_BLACK);
    epdRef->drawBitmap(xPos,yPos,PIE_CHART_RED,240,146,EPD_BLACK);
    epdRef->drawBitmap(xPos,yPos,PIE_CHART_GREEN,240,146,EPD_BLACK);
    epdRef->updateLegio(EPD_BLACK);
    epdRef->clear();
    epdRef->drawBitmap(xPos,yPos,PIE_CHART_RED,240,146,EPD_BLACK);
    epdRef->updateLegio(EPD_RED);
    epdRef->clear();
    epdRef->drawBitmap(xPos,yPos,PIE_CHART_YELLOW,240,146,EPD_BLACK);
    epdRef->drawBitmap(xPos,yPos,PIE_CHART_GREEN,240,146,EPD_BLACK);
    epdRef->updateLegio(EPD_YELLOW);
    epdRef->clear();
    epdRef->drawBitmap(xPos,yPos,PIE_CHART_GREEN,240,146,EPD_BLACK);
    epdRef->updateLegio(EPD_GREEN);
    epdRef->clear();
    epdRef->drawBitmap(xPos,yPos,PIE_CHART_BLUE,240,146,EPD_BLACK);
    epdRef->updateLegio(EPD_BLUE);
    epdRef->clear();
}

void StrapDisplayAppInfoViz::init(){
  infoVizBackButton.minYVal = 650;
  infoVizBackButton.maxYVal = 750;
  infoVizBackButton.xVal = softPotLeftID;
  app_internal_state = 0;
}

int StrapDisplayAppInfoViz::runApplication(){  

  // Read SoftPot Values...
  strapDisplayCoreRef->readSoftPots();

  if (strapDisplayCoreRef->checkInputRegion(infoVizBackButton)) {
        return APP_EXIT;
      }
  
  return APP_IS_RUNNING;
}
