const uint8_t VerticalNumbersBitmaps[] PROGMEM = {
  0x1F, 0x3E, 0x7C, 0xF8, 0xF8, 0x7C, 0x3E, 0x1F, 0x00, 0x7E, 0xFF, 0x81, 
  0x81, 0x81, 0xFF, 0x7E, 0x00, 0x00, 0xFF, 0xFF, 0xC0, 0x60, 0x30, 0x00, 
  0x00, 0x00, 0x73, 0xFB, 0xDF, 0xC7, 0x63, 0x31, 0x00, 0x00, 0x66, 0xEF, 
  0xFB, 0xDB, 0xDB, 0xC3, 0x00, 0x00, 0xCC, 0xCF, 0xEF, 0x78, 0x38, 0x18, 
  0x00, 0x00, 0xCF, 0xDB, 0xDB, 0xDB, 0xDB, 0xF3, 0x00, 0x00, 0xDF, 0xDF, 
  0xD9, 0xD9, 0xFF, 0xFF, 0x00, 0x00, 0xE0, 0xF0, 0xFC, 0xCE, 0xC7, 0xC3, 
  0x00, 0x00, 0x66, 0xFF, 0x99, 0x99, 0xFF, 0x66, 0x00, 0x00, 0x7F, 0xFF, 
  0xD8, 0xD8, 0xD8, 0x70
};

const GFXglyph VerticalNumbersGlyphs[] PROGMEM = {
  {     0,   8,   8,   9,    1,   -7 },   // 0x2F '/'
  {     8,   8,   8,  10,    1,   -7 },   // 0x30 '0'
  {    16,   8,   8,  10,    1,   -7 },   // 0x31 '1'
  {    24,   8,   8,  10,    1,   -7 },   // 0x32 '2'
  {    32,   8,   8,   9,    1,   -7 },   // 0x33 '3'
  {    40,   8,   8,   9,    1,   -7 },   // 0x34 '4'
  {    48,   8,   8,   9,    1,   -7 },   // 0x35 '5'
  {    56,   8,   8,   9,    1,   -7 },   // 0x36 '6'
  {    64,   8,   8,   9,    1,   -7 },   // 0x37 '7'
  {    72,   8,   8,   9,    1,   -7 },   // 0x38 '8'
  {    80,   8,   8,   9,    1,   -7 }    // 0x39 '9'
};

const GFXfont VerticalNumbers PROGMEM = {
  (uint8_t  *)VerticalNumbersBitmaps,  
  (GFXglyph *)VerticalNumbersGlyphs, 0x2F, 0x39,   11 };

